%global gitdate 20220504
%global commit 893939f7be0996b3244dfcdf08aadc5accac8801
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           eos-metrics
Version:        0.5.0^%{gitdate}git%{shortcommit}
Release:        2%{?dist}
Summary:        Record user metrics from apps and system services

License:        LGPL-2.1-or-later
URL:            https://github.com/endlessm/eos-metrics
Source0:        https://github.com/endlessm/eos-metrics/archive/%{commit}/%{name}-%{commit}.tar.gz

BuildRequires:  automake autoconf libtool
BuildRequires:  gcc
BuildRequires:  gtk-doc
BuildRequires:  pkgconfig(gio-unix-2.0)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(uuid)
BuildRequires:  python3-dbusmock
BuildRequires:  yelp-tools

%description
Lightweight API for recording user metrics from apps and system services.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -p1 -n eos-metrics-%{commit}


%build
NOCONFIGURE=1 ./autogen.sh
%configure --disable-static --disable-gir-doc
%make_build


%install
%make_install
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%files
%license COPYING*
%doc README.md
%{_libdir}/libeosmetrics-0.so.0*
%{_datadir}/eos-metrics/com.endlessm.Metrics.xml
%{_datadir}/gir-1.0/EosMetrics-0.gir

%files devel
%{_includedir}/eosmetrics-0/
%{_libdir}/girepository-1.0/EosMetrics-0.typelib
%{_libdir}/libeosmetrics-0.so
%{_libdir}/pkgconfig/eosmetrics-0.pc


%changelog
* Wed Mar 22 2023 Kalev Lember <klember@redhat.com> - 0.5.0^20220504git893939f-2
- Use SPDX for License field
- Add macros to simplify git snapshot creation

* Mon Oct 10 2022 Michael Catanzaro <mcatanzaro@redhat.com> - 0.5.0^20220504git893939f-1
- Update git snapshot
- Fix version number to 0.5.0, upstream 4.0.8 was an Endless OS version

* Tue Aug 23 2022 Kalev Lember <klember@redhat.com> - 4.0.8-1
- Initial Fedora packaging
